# Copyright © 2016 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>

set(
    REPOWERD_CORE_SRCS
    daemon.cpp
    default_state_machine.cpp
    default_state_machine_factory.cpp
    handler_registration.cpp
    log.cpp
    state_event_adapter.cpp
)

add_library(
    repowerd-core STATIC
    ${REPOWERD_CORE_SRCS}
)
